package de.verteiltearchitekturen.graphql;

import de.verteiltearchitekturen.election.*;
import graphql.kickstart.tools.GraphQLMutationResolver;

public class Mutation implements GraphQLMutationResolver {

    public boolean vote(String choice) {
        BallotBox.vote(choice);
        return true;
    }

    public Vote cheat(String choice, int votes) {
        return BallotBox.cheat(choice, votes);
    }
}